Chaser no longer supports Internet Explorer

As of February 2020, we no longer support the use of Internet Explorer.

Whilst it is currently still possible to access Chaser via Internet Explorer 11, you should expect a more limited functionality. As such, we encourage you to upgrade to the latest versions of Microsoft Edge, Chrome, Safari, or Firefox or to continue to get the most from Chaser. 

You can check if you are up to date with your browser by visiting their website: 

In December 2018, Microsoft announced that they would no longer be investing in improving Internet Explorer and publicly recommended "using Microsoft Edge as your default browser"We strive to provide the best experience for all of our users and we believe that this is the best way to achieve this. 

If you have any further questions, please contact us at support@chaserhq.com

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk